Author Topic: Problem with PHP version switcher in latest  (Read 1320 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Problem with PHP version switcher in latest
« on: February 26, 2017, 01:01:35 PM »
1. Bug - soap does not enable when selected, an examination of the generated php-config file shows --enable-soaps instead of --enable-soap, so would appear to be a typo in the generating script.

2. with new format of selection by checkbox, there does not appear to be a way of adding more options that are not on list, for instance I could not find a way to enable "shmop" ie --enable-shmop

Is there a work around for these two issues please ?

Offline
*****
Re: Problem with PHP version switcher in latest
« Reply #1 on: February 26, 2017, 02:21:32 PM »
what OS you're using ?

Offline
*
Re: Problem with PHP version switcher in latest
« Reply #2 on: February 26, 2017, 10:32:37 PM »
what OS you're using ?

Centos 7 (core) x86-64 kernel 3.10.0-514 (ran yum update yesterday)

CWP for centos 7 ver 0.9.8.263 (ran cwp_update yesterday)

Offline
*****
Re: Problem with PHP version switcher in latest
« Reply #3 on: February 27, 2017, 05:16:41 AM »
manually compile php through ssh/terminal

mkdir -p /usr/local/php-7-0-16
cd /usr/local/php-7-0-16
wget http://in1.php.net/distributions/php-7.0.16.tar.gz
tar zxvf php-7.0.16.tar.gz
cd php-7.0.16

Code: [Select]
./configure --with-config-file-path=/usr/local/php --with-config-file-scan-dir=/usr/local/php/php.d --enable-fpm --enable-mbstring --enable-zip --enable-bcmath --enable-pcntl --enable-ftp --enable-exif --enable-calendar --enable-sysvmsg --enable-sysvsem --enable-sysvshm --enable-wddx --with-curl --with-mcrypt --with-iconv --with-gmp --with-pspell --with-gd --with-jpeg-dir=/usr --with-png-dir=/usr --with-zlib-dir=/usr --with-xpm-dir=/usr --with-freetype-dir=/usr --enable-gd-native-ttf --enable-gd-jis-conv --with-openssl --with-pdo-mysql=/usr --with-gettext=/usr --with-zlib=/usr --with-bz2=/usr --with-recode=/usr --with-mysqli --enable-soap --enable-intl --enable-phar --with-xsl --with-xmlrpc --with-kerberos --enable-posix --enable-sockets --with-pcre-regex --enable-calendar --with-libdir=lib64 --with-mysql-sock=/var/lib/mysql/mysql.sock --enable-shmop
« Last Edit: February 27, 2017, 05:26:22 AM by Sandeep »

Offline
*
Re: Problem with PHP version switcher in latest
« Reply #4 on: February 27, 2017, 12:54:40 PM »
manually compile php through ssh/terminal

mkdir -p /usr/local/php-7-0-16
cd /usr/local/php-7-0-16
wget http://in1.php.net/distributions/php-7.0.16.tar.gz
tar zxvf php-7.0.16.tar.gz
cd php-7.0.16

Code: [Select]
./configure --with-config-file-path=/usr/local/php --with-config-file-scan-dir=/usr/local/php/php.d --enable-fpm --enable-mbstring --enable-zip --enable-bcmath --enable-pcntl --enable-ftp --enable-exif --enable-calendar --enable-sysvmsg --enable-sysvsem --enable-sysvshm --enable-wddx --with-curl --with-mcrypt --with-iconv --with-gmp --with-pspell --with-gd --with-jpeg-dir=/usr --with-png-dir=/usr --with-zlib-dir=/usr --with-xpm-dir=/usr --with-freetype-dir=/usr --enable-gd-native-ttf --enable-gd-jis-conv --with-openssl --with-pdo-mysql=/usr --with-gettext=/usr --with-zlib=/usr --with-bz2=/usr --with-recode=/usr --with-mysqli --enable-soap --enable-intl --enable-phar --with-xsl --with-xmlrpc --with-kerberos --enable-posix --enable-sockets --with-pcre-regex --enable-calendar --with-libdir=lib64 --with-mysql-sock=/var/lib/mysql/mysql.sock --enable-shmop

Thankyou - that fixed the problem - I used php-7.1.2

For the benefit of others, perhaps we should also add that after doing the above, then also run commands:

make
make install

Also for convenience I added all of the above to a bash script so I can easily repeat if needed.